Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-2773

Mockupdb test failures

    XMLWordPrintableJSON

Details

    • Task
    • Status: Closed
    • Unknown
    • Resolution: Fixed
    • None
    • 4.0
    • Tests
    • None

    Description

      Various mockupdb test are failing because we removed various APIs like db.authenticate:
      https://evergreen.mongodb.com/task/mongo_python_driver_mockupdb_tests__platform~awslinux_python_version~3.6_mockupdb_abb081a0122a3c8a84ce1b19e8428b031b43651e_21_06_21_18_57_33

       [2021/06/21 22:47:50.433] ERROR: test_auth_recovering_member (tests.test_auth_recovering_member.TestAuthRecoveringMember)
       [2021/06/21 22:47:50.433] ----------------------------------------------------------------------
       [2021/06/21 22:47:50.433] Traceback (most recent call last):
       [2021/06/21 22:47:50.433]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/tests/test_auth_recovering_member.py", line 47, in test_auth_recovering_member
       [2021/06/21 22:47:50.433]     client.db.authenticate('user', 'password')
       [2021/06/21 22:47:50.433]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/mockuptests/lib/python3.6/site-packages/pymongo/collection.py", line 3024, in __call__
       [2021/06/21 22:47:50.433]     self.__name)
       [2021/06/21 22:47:50.433] TypeError: 'Collection' object is not callable. If you meant to call the 'authenticate' method on a 'Database' object it is failing because no such method exists.
       [2021/06/21 22:47:50.433] ======================================================================
       [2021/06/21 22:47:50.433] ERROR: test_collection_names (tests.test_mixed_version_sharded.TestMixedVersionSharded)
       [2021/06/21 22:47:50.433] ----------------------------------------------------------------------
       [2021/06/21 22:47:50.433] Traceback (most recent call last):
       [2021/06/21 22:47:50.433]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/tests/test_mixed_version_sharded.py", line 68, in test
       [2021/06/21 22:47:50.433]     request = self.q.get(timeout=1)
       [2021/06/21 22:47:50.433]   File "/opt/python/3.6/lib/python3.6/queue.py", line 172, in get
       [2021/06/21 22:47:50.433]     raise Empty
       [2021/06/21 22:47:50.433] queue.Empty
       [2021/06/21 22:47:50.433] ======================================================================
       [2021/06/21 22:47:50.433] ERROR: test_listCollections_with_mode_nearest (tests.test_slave_okay_sharded.TestSlaveOkaySharded)
       [2021/06/21 22:47:50.433] ----------------------------------------------------------------------
       [2021/06/21 22:47:50.433] Traceback (most recent call last):
       [2021/06/21 22:47:50.433]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/.eggs/mockupdb-1.8.0-py3.6.egg/mockupdb/__init__.py", line 178, in going
       [2021/06/21 22:47:50.433]     yield future
       [2021/06/21 22:47:50.433]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/tests/test_slave_okay_sharded.py", line 73, in test
       [2021/06/21 22:47:50.433]     request = self.q.get(timeout=1)
       [2021/06/21 22:47:50.433]   File "/opt/python/3.6/lib/python3.6/queue.py", line 172, in get
       [2021/06/21 22:47:50.433]     raise Empty
       [2021/06/21 22:47:50.434] queue.Empty
       [2021/06/21 22:47:50.434] During handling of the above exception, another exception occurred:
       [2021/06/21 22:47:50.434] Traceback (most recent call last):
       [2021/06/21 22:47:50.434]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/tests/test_slave_okay_sharded.py", line 74, in test
       [2021/06/21 22:47:50.434]     request.reply(operation.reply)
       [2021/06/21 22:47:50.434]   File "/opt/python/3.6/lib/python3.6/contextlib.py", line 99, in __exit__
       [2021/06/21 22:47:50.434]     self.gen.throw(type, value, traceback)
       [2021/06/21 22:47:50.434]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/.eggs/mockupdb-1.8.0-py3.6.egg/mockupdb/__init__.py", line 191, in going
       [2021/06/21 22:47:50.434]     reraise(*exc_info)
       [2021/06/21 22:47:50.434]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/.eggs/mockupdb-1.8.0-py3.6.egg/mockupdb/__init__.py", line 78, in reraise
       [2021/06/21 22:47:50.434]     raise exctype(str(value)).with_traceback(trace)
       [2021/06/21 22:47:50.434]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/.eggs/mockupdb-1.8.0-py3.6.egg/mockupdb/__init__.py", line 178, in going
       [2021/06/21 22:47:50.434]     yield future
       [2021/06/21 22:47:50.434]   File "/data/mci/ca69ce964c3516a6cf7bb1d5fc80d216/pymongo-mockup-tests/tests/test_slave_okay_sharded.py", line 73, in test
       [2021/06/21 22:47:50.434]     request = self.q.get(timeout=1)
       [2021/06/21 22:47:50.434]   File "/opt/python/3.6/lib/python3.6/queue.py", line 172, in get
       [2021/06/21 22:47:50.434]     raise Empty
       [2021/06/21 22:47:50.434] queue.Empty
      

      Attachments

        Issue Links

          Activity

            People

              julius.park@mongodb.com Julius Park
              shane.harvey@mongodb.com Shane Harvey
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: